module.exports = {
	rules: {
		"array-bracket-newline": "error",
		"array-bracket-spacing": "error",
		"array-element-newline": "error",
		"arrow-body-style": "error",
		"arrow-parens": "error",
		camelcase: "warn",
		"comma-spacing": "error",
		eqeqeq: "error",
		"jsx-quotes": "error",
		"no-mixed-spaces-and-tabs": "error",
		"no-multiple-empty-lines": "error",
		"no-trailing-spaces": "error",
		"no-unused-expressions": "error",
		"no-unused-vars": "error",
		"object-curly-newline": "error",
		quotes: "error",
		"require-await": "error",
	},
	root: true,
	parser: "@typescript-eslint/parser",
	parserOptions: {
		project: "./tsconfig.json",
		tsconfigRootDir: __dirname,
		sourceType: "module",
	},
	plugins: ["@typescript-eslint"],
}
